.settings
{
  margin-left: 16%;
  background: beige !important;
  z-index: 20;
  transform: translateY(-100%);
  position: absolute;
  top: 190px;
  width:50%;
  border-radius: 15px;
  align-items: center;
  display: flex;

}

.settings .setting-button{
  width: 100%;
  top: 25px;
  display: block;
  background: #f3f1f1;


}
.settings .bx-cog{
  border-radius:25px ;
  font-size: 18px;
  width: 200px;


}

.settings .settings-body{
position: fixed;
background: white !important;
width: 100%;
margin-top: 100px;
white-space: inherit;
padding-top: 30px;
z-index: 10;

}




.settings .settings-body{
width:100%;
position: absolute;
margin-top: 135px//calc(100%-12px);
}


.settings .settings-body .settings-content .db-name{
  width:100%;
  background: white !important;
   white-space: nowrap;
   display: flex;
  }

.settings .settings-body .settings-content .db-name input{
  width:100%;
  text-align: center;

  }


  .settings .settings-body .settings-content .db-name .btn-success{
    height:50%;

    }
    .settings .settings-body .settings-content .db-token{
      width: 100%;
      overflow: hidden;
      position: relative;
      display: inline-block;
      padding-top: 25px;
      overflow: hidden;
      text-overflow: ellipsis;
    }



